Package org.eclipse.jgit.dircache

## Class InvalidPathException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - java.lang.IllegalArgumentException
        - - org.eclipse.jgit.dircache.InvalidPathException

All Implemented Interfaces:
  `Serializable`

    public class InvalidPathException
    extends IllegalArgumentException

Thrown when JGit detects and refuses to use an invalid path

Since:
  2.0
See Also:
  Serialized Form

### Constructor Summary

Constructors
`InvalidPathException​(String path)`

### Method Summary

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### InvalidPathException

    public InvalidPathException​(String path)

Parameters:
  `path` -